#!/bin/bash

set -o errexit
set -o pipefail


start2=${start}
end2=${end}
climoff=${climoff}
years=($(seq ${start2:0:4} ${end2:0:4}))
#years=(1972 1975 1989 1997) ## alternatively define a list of years for which assimilation should be done.
len=${#years[@]}

#### calculate observation errors ####  
Rscript C051_obs_error.R ${scen} ${start} ${end}

#### calculate distance matrices ####
Rscript C052_EnKF_help.R ${scen}

echo "start EnKF"
echo "start is  "${start}
echo "scen is   "${scen}
echo "length is "${len}
echo "offset is "${climoff}

n=0
maxjobs=4

for (( i = 0; i < ${len}; i++ ));do
	 	
	echo ${years[${i}]} &
	## R-script of EnKF
	Rscript C053_EnKF.R ${years[${i}]} ${scen} ${date} ${start} ${end} ${L} ${Z} ${climoff} ${dist} &
  
  if (( $(($((++n)) % $maxjobs)) == 0 )) ; then
        wait # wait until all have finished (not optimal, but most times good enough)
        echo $n wait
    fi
	
 done



